export default class Image {
	public Id: number = Number.MIN_VALUE;
	public UserId: number = Number.MIN_VALUE;
	public DomainId: number = Number.MIN_VALUE;
	public FileName: string = "";
	public ImageTag: string = "";
	public ImageType: string = "";
	public Hash: string = "";
	public FileSize: number = Number.MIN_VALUE;
	public CreatedByUserId: number = Number.MIN_VALUE;
	public CreatedDatetime: Date = new Date();
	public LastModifiedByUserId?: number;
	public LastModifiedDatetime?: Date;
	public DeletedByUserId?: number;
	public DeletedDatetime?: Date;
	public IsDeleted: boolean = false;
}